[package]
name = "init"
version = "2.6.8"
edition = "2024"

[profile.release]
strip = true
panic = "abort"
opt-level = "z"
lto = true
codegen-units = 1

[dependencies]
libc = { version = "0.2", default-features = false }
env_logger = "0.11.3"
eyre = { version = "0.6.12" }
itertools = "0.14.0"
log = "0.4.21"
nix = { version = "0.31.1", features = ["feature", "mount", "process", "reboot", "signal"] }
regex = "1.11.1"
serde = { version = "1.0.198", features = ["derive"] }
serde_json = "1.0.116"
serde_yaml = "0.9.34"
shell-escape = "0.1.5"
tokio = { version = "1.38.0", features = ["rt", "net", "fs", "process", "io-std", "io-util", "sync", "macros", "signal"] }
termios = "0.3.3"
unix_mode = "0.1.4"
sys-info = "0.9.1"
dkl = { git = "https://novit.tech/direktil/dkl", version = "1.0.0" }
openssl = "0.10.73"
#reqwest = { version = "0.13.1", features = ["native-tls", "system-proxy"], default-features = false }
reqwest = { git = "https://github.com/mcluseau/rs-reqwest", version = "0.13.1", features = ["native-tls", "system-proxy", "socks"], default-features = false }
glob = "0.3.3"
hex = "0.4.3"
tar = { version = "0.4.46", default-features = false }
